Update Developer Crm Task
/api/v1/developer/crm/tasks/{taskId}Use the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.tasks.write
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
taskIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }idempotency-keyrequired · headerstringpattern: "^[A-Za-z0-9][A-Za-z0-9._:-]{7,159}$"JSON Schema
{ "type": "string", "pattern": "^[A-Za-z0-9][A-Za-z0-9._:-]{7,159}$" }
Request body
application/jsonunion
Variant 1
object
operationrequired- stringenum: ["details"]
title- stringminLength: 1 · maxLength: 240
description- stringmaxLength: 4000
dueAt- string | nullformat: "date-time"
priority- stringenum: ["normal","high"]
assigneeIdentityId- stringminLength: 1 · maxLength: 160
JSON Schema
{
"type": "object",
"properties": {
"operation": {
"type": "string",
"enum": [
"details"
]
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 240
},
"description": {
"type": "string",
"maxLength": 4000
},
"dueAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"priority": {
"type": "string",
"enum": [
"normal",
"high"
]
},
"assigneeIdentityId": {
"type": "string",
"minLength": 1,
"maxLength": 160
}
},
"required": [
"operation"
],
"additionalProperties": false
}Variant 2
object
operationrequired- stringenum: ["status"]
statusrequired- stringenum: ["open","in_progress","done"]
result- stringmaxLength: 4000
JSON Schema
{
"type": "object",
"properties": {
"operation": {
"type": "string",
"enum": [
"status"
]
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"done"
]
},
"result": {
"type": "string",
"maxLength": 4000
}
},
"required": [
"operation",
"status"
],
"additionalProperties": false
}JSON Schema
{
"oneOf": [
{
"type": "object",
"properties": {
"operation": {
"type": "string",
"enum": [
"details"
]
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 240
},
"description": {
"type": "string",
"maxLength": 4000
},
"dueAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"priority": {
"type": "string",
"enum": [
"normal",
"high"
]
},
"assigneeIdentityId": {
"type": "string",
"minLength": 1,
"maxLength": 160
}
},
"required": [
"operation"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"operation": {
"type": "string",
"enum": [
"status"
]
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"done"
]
},
"result": {
"type": "string",
"maxLength": 4000
}
},
"required": [
"operation",
"status"
],
"additionalProperties": false
}
],
"$ref": "#/components/schemas/UpdateDeveloperCrmTaskRequest"
}Request examples
curl --request PATCH 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tasks/TASK_ID' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN' --header 'Idempotency-Key: YOUR_UNIQUE_COMMAND_ID' --header 'Content-Type: application/json' --data '{"operation":"details","dueAt":null,"priority":"high"}'Responses
200 Updated CRM task receipt
application/jsonobject
resourceIdrequired- stringminLength: 1 · maxLength: 160
changedrequired- boolean
JSON Schema
{
"type": "object",
"properties": {
"resourceId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"changed": {
"type": "boolean"
}
},
"required": [
"resourceId",
"changed"
],
"$ref": "#/components/schemas/DeveloperMutationResponse"
}400 Invalid task command or idempotency key
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM task reference not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}409 Idempotency key conflict
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}